function pred_med_01(select)
%pred_med_01(1)
%from pred_medication_641;
%medication analysis
dynamic_model=@med_whole_model_02;

if select == 1
%
for index_medication = 1:1:6
%type 2 diabetes parameter
        medication.Vmax_accoat_Accoa_LM_LC=	10; %10
        medication.Vmax_lipog1_Accoa_LC=	0.24;   %0.12
        medication.Vmax_lipog2_Malcoa_L=	2;      %1;
        medication.Vmax_tgsyn_FFA_L=	1.6;          %0.4        
        medication.Vmax_cholsyn1_Accoa_LC=	0.04; %0.02;
        
        medication.Vmax_inssyn_Glc_B = 0.0018; % SU medication
        medication.Km_inssyn_Glc_B = 7.5*1.5;
        
        medication.Km_Ins_B_L  =   1.5*8e-8;%8e-08
        medication.Km_Ins_B_M  =   1.5*8e-8;%8e-08
        medication.Km_Ins_B_A  =   1.5*8e-8;%8e-08
        medication.Km_Ins_B_G  =   8e-8;%8e-08
        medication.alpha_band_L=0.9;
        medication.alpha_base_L=0.05;
        medication.alpha_band_M=0.95;
        medication.alpha_base_M=0.05;
        medication.alpha_band_A=0.6;
        medication.alpha_base_A=0.05;

% medication parameter       
        medication.Vmax_ldh_Pyr_L	=	10; % 10 metformin
        medication.Vmax_boxid_FFA_L	=	0.888434; % 0.888434 metformin        
        medication.Vmax_tgsyn_FFA_A	=	0.55; % 0.55 TZD
        medication.Vmax_tgsyn_FFA_L	=	0.4; % 0.4  TZD  
        medication.Vmax_hk_Glc_M	=	12;% 12  TZD        
        medication.Vmax_inssyn_Glc_B = 0.0018;%0.0018 SU        
        medication.Vmax_glyk_Glyc_L	=	0.5; % 0.5
             
    switch index_medication
    % single medication
        case 1
            %type 2 diabetes    
            outfile_xlsx = 'case1.xlsx';

        case 2
            %ldh inhibition
            medication.Vmax_ldh_Pyr_L	=	0; % 10 metformin
            %medication.Vmax_ldh_Pyr_L	=	0.5*10; % 10 metformin
            outfile_xlsx = 'case2.xlsx';

        case 3
            %boxid activation
            medication.Vmax_boxid_FFA_L	=	2*0.888434; %  metformin
            outfile_xlsx = 'case3.xlsx';

        case 4
            %TZD
            medication.Vmax_tgsyn_FFA_A	=	2*0.55; % 0.55 thiazolidinedione
            medication.Vmax_hk_Glc_M	=	2*12;
            outfile_xlsx = 'case4.xlsx';

        case 5
            %sulfonylurea
            medication.Vmax_inssyn_Glc_B =  2*0.0018;%0.0018 sulfonylurea
            outfile_xlsx = 'case5.xlsx'; 

        case 6
            %glyk inhibition
            medication.Vmax_glyk_Glyc_L	=	0; % 0.5
            %medication.Vmax_glyk_Glyc_L	=	0.5*0.5; % 0.5
            outfile_xlsx = 'case6.xlsx';
    end

     [T, Y, FLUX] = dynamic_model([], [], 0, 0, 1, [], medication) ;
     
     switch index_medication
        case 1
            Y1=Y; FLUX1=FLUX;
        case 2
            Y2=Y; FLUX2=FLUX;
        case 3
            Y3=Y; FLUX3=FLUX;
        case 4
            Y4=Y; FLUX4=FLUX;
        case 5
            Y5=Y; FLUX5=FLUX;
        case 6
            Y6=Y; FLUX6=FLUX;
     end

end
save('pred_med_01.mat', 'T','Y1','FLUX1','Y2','FLUX2','Y3','FLUX3','Y4','FLUX4','Y5','FLUX5','Y6','FLUX6');
%}

%% single medication
load('pred_med_01.mat');
figure('Position',[200 200 1000 400]); %1*3 figures
subplot(1,3,1)
   plot(T, Y1(:,1), 'b-', 'linewidth',1.5); hold on;    %Ins_B
   plot(T, Y2(:,1), 'r-', 'linewidth',1.5); hold on;    
   plot(T, Y3(:,1), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,1), 'g-', 'linewidth',1); hold on;    
   plot(T, Y5(:,1), 'c-', 'linewidth',1); hold on;    
   plot(T, Y6(:,1), 'm-', 'linewidth',1); hold on;   
   title('A');%title('Ins_B');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10], 'ylim',[0 1e-7]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);

subplot(1,3,2)
   plot(T, Y1(:,2), 'b-', 'linewidth',1.5); hold on;    %Glc_B
   plot(T, Y2(:,2), 'r-', 'linewidth',1.5); hold on;    
   plot(T, Y3(:,2), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,2), 'g-', 'linewidth',1); hold on;    
   plot(T, Y5(:,2), 'c-', 'linewidth',1); hold on;
   plot(T, Y6(:,2), 'm-', 'linewidth',1); hold on;     
   title('B');%title('Glc_B');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 10], 'ytick',[0 2 4 6 8 10 ]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);
   
subplot(1,3,3)
   plot(T, Y1(:,27), 'b-', 'linewidth',1.5); hold on;     %TG_L
   plot(T, Y2(:,27), 'r-', 'linewidth',1.5); hold on;     
   plot(T, Y3(:,27), 'k-', 'linewidth',1); hold on;     
   plot(T, Y4(:,27), 'g-', 'linewidth',1); hold on;    
   plot(T, Y5(:,27), 'c-', 'linewidth',1); hold on;    
   plot(T, Y6(:,27), 'm-', 'linewidth',1); hold on;    
   title('C');%title('TG_L');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 4],'ytick',[0 1 2 3 4 ]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);
   legend('T2DM','ldh inh','boxid act','TZD','inssyn act','glyk inh','location','northeast');
   box on;
%}

end

if select == 2
%
for index_medication = 1:1:5
%type 2 diabetes parameter
        medication.Vmax_accoat_Accoa_LM_LC=	10; %10
        medication.Vmax_lipog1_Accoa_LC=	0.24;   %0.12
        medication.Vmax_lipog2_Malcoa_L=	2;      %1;
        medication.Vmax_tgsyn_FFA_L=	1.6;          %0.4        
        medication.Vmax_cholsyn1_Accoa_LC=	0.04; %0.02;
        
        medication.Vmax_inssyn_Glc_B = 0.0018; % SU medication
        medication.Km_inssyn_Glc_B = 7.5*1.5;
        medication.Km_Ins_B_L  =   1.5*8e-8;%8e-08
        medication.Km_Ins_B_M  =   1.5*8e-8;%8e-08
        medication.Km_Ins_B_A  =   1.5*8e-8;%8e-08
        medication.Km_Ins_B_G  =   8e-8;%8e-08
        
        medication.alpha_band_L=0.9;
        medication.alpha_base_L=0.05;
        medication.alpha_band_M=0.95;
        medication.alpha_base_M=0.05;
        medication.alpha_band_A=0.6;
        medication.alpha_base_A=0.05;

% medication parameter       
        medication.Vmax_ldh_Pyr_L	=	10; % 10 metformin
        medication.Vmax_boxid_FFA_L	=	0.888434; % 0.888434 metformin        
        medication.Vmax_tgsyn_FFA_A	=	0.55; % 0.55 TZD
        medication.Vmax_tgsyn_FFA_L	=	0.4; % 0.4  TZD  
        medication.Vmax_hk_Glc_M	=	12;% 12  TZD        
        medication.Vmax_inssyn_Glc_B = 0.0018;%0.0018 SU        
        medication.Vmax_glyk_Glyc_L	=	0.5; % 0.5
    
    switch index_medication
    % combination therapy
        case 1
            %type 2 diabetes
            outfile_xlsx = 'case1.xlsx';

        case 2
            %metformin
            medication.Vmax_ldh_Pyr_L	=	0; % 10 metformin
            medication.Vmax_boxid_FFA_L	=	2*0.888434; % 0.888434 metformin

            outfile_xlsx = 'case2.xlsx';
        case 3
            %metformin+thiazolidinedione
            medication.Vmax_ldh_Pyr_L	=	0; % 10 metformin
            medication.Vmax_boxid_FFA_L	=	2*0.888434; % 0.888434 metformin
            medication.Vmax_tgsyn_FFA_A	=	2*0.55; % 0.55 TZD
            medication.Vmax_hk_Glc_M	=	2*12; %12 TZD
            outfile_xlsx = 'case3.xlsx';

        case 4
            %metformin+thiazolidinedione+sulfonylurea
            medication.Vmax_ldh_Pyr_L	=	0; % 10 metformin
            medication.Vmax_boxid_FFA_L	=	2*0.888434; % 0.888434 metformin
            medication.Vmax_tgsyn_FFA_A	=	2*0.55; % 0.55 TZD
            medication.Vmax_hk_Glc_M	=	2*12; %12 TZD
            medication.Vmax_inssyn_Glc_B =  2*0.0018;%0.0018 sulfonylurea
            outfile_xlsx = 'case4.xlsx';

        case 5
            %metformin+thiazolidinedione+sulfonylurea+glyk
            medication.Vmax_ldh_Pyr_L	=	0; % 10 metformin
            medication.Vmax_boxid_FFA_L	=	2*0.888434; % 0.888434 metformin
            medication.Vmax_tgsyn_FFA_A	=	2*0.55; % 0.55 TZD
            medication.Vmax_hk_Glc_M	=	2*12; %12 TZD
            medication.Vmax_inssyn_Glc_B =  2*0.0018;%0.0018 sulfonylurea
            medication.Vmax_glyk_Glyc_L	=	0; % 0.5
            outfile_xlsx = 'case5.xlsx';
    end

     [T, Y, FLUX] = dynamic_model([], [], 0, 0, 1, [], medication) ;
     
     switch index_medication
        case 1
            Y1=Y; FLUX1=FLUX;
        case 2
            Y2=Y; FLUX2=FLUX;
        case 3
            Y3=Y; FLUX3=FLUX;
        case 4
            Y4=Y; FLUX4=FLUX;
        case 5
            Y5=Y; FLUX5=FLUX;
     end

end

save('pred_med_02.mat', 'T','Y1','FLUX1','Y2','FLUX2','Y3','FLUX3','Y4','FLUX4','Y5','FLUX5');
%}

%% combination therapy
load('pred_med_02.mat');
figure('Position',[200 200 1000 400]); %1*3 figures
subplot(1,3,1)
   plot(T, Y1(:,1), 'b-', 'linewidth',2); hold on;    %Ins_B
   plot(T, Y2(:,1), 'r-', 'linewidth',1); hold on;    
   plot(T, Y3(:,1), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,1), 'g-', 'linewidth',1.5); hold on;    
   plot(T, Y5(:,1), 'c-', 'linewidth',1.5); hold on;    
%    plot(T, Y6(:,1), 'm-', 'linewidth',1.5); hold on;   
   title('D');
   set(gca,'fontname','arial','fontsize',10,'linewidth',1.5,'xlim',[0 10],'ylim',[0 1e-7]);
   xlabel('Time (h)','fontname','arial','fontsize',10);
   ylabel('Concentration (mM)','fontname','arial','fontsize',10);
   
subplot(1,3,2)
   plot(T, Y1(:,2), 'b-', 'linewidth',2); hold on;    %Glc_B
   plot(T, Y2(:,2), 'r-', 'linewidth',1); hold on;    
   plot(T, Y3(:,2), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,2), 'g-', 'linewidth',1.5); hold on;    
   plot(T, Y5(:,2), 'c-', 'linewidth',1.5); hold on;
%     plot(T, Y6(:,2), 'm-', 'linewidth',1.5); hold on;     
   title('E');
   set(gca,'fontname','arial','fontsize',10,'linewidth',1.5,'xlim',[0 10],'ylim',[0 10], 'ytick',[0 2 4 6 8 10 ]);
   xlabel('Time (h)','fontname','arial','fontsize',10);
   ylabel('Concentration (mM)','fontname','arial','fontsize',10);
  
subplot(1,3,3)
   plot(T, Y1(:,27), 'b-', 'linewidth',2); hold on;     %TG_L
   plot(T, Y2(:,27), 'r-', 'linewidth',1); hold on;     
   plot(T, Y3(:,27), 'k-', 'linewidth',1); hold on;     
   plot(T, Y4(:,27), 'g-', 'linewidth',1.5); hold on;    
   plot(T, Y5(:,27), 'c-', 'linewidth',1.5); hold on;    
%    plot(T, Y6(:,27), 'm-', 'linewidth',1.5); hold on;   
   title('F');
   set(gca,'fontname','arial','fontsize',10,'linewidth',1.5,'xlim',[0 10],'ylim',[0 4],'ytick',[0 1 2 3 4 ]);
   xlabel('Time (h)','fontname','arial','fontsize',10);
   ylabel('Concentration (mM)','fontname','arial','fontsize',10);
   legend('T2DM','m','m+t','m+t+s','m+t+g+s','location','northeast');
end
end

