function pred_pat_01(select)
%pred_pat_01(1);
%from pred_diseases_632.m
%pathology analysis
dynamic_model=@med_whole_model_02;

% medication analysis 
        pathology.Vmax_ldh_Pyr_L	=	10; % 10 metformin
        pathology.Vmax_boxid_FFA_L	=	0.888434; % 0.888434 metformin        
        pathology.Vmax_tgsyn_FFA_A	=	0.55; % 0.55 TZD
        pathology.Vmax_tgsyn_FFA_L	=	0.4; % 0.4  TZD  
        pathology.Vmax_hk_Glc_M	=	12;% 12  TZD        
        pathology.Vmax_inssyn_Glc_B = 0.0018;%0.0018 SU        
        pathology.Vmax_glyk_Glyc_L	=	0.5; % 0.5
        
if select == 1
for index_pathology = 1:1:6
% healthy subject
        pathology.Vmax_accoat_Accoa_LM_LC=	10;
        pathology.Vmax_lipog1_Accoa_LC=	0.12;
        pathology.Vmax_lipog2_Malcoa_L=	1;     
        pathology.Vmax_tgsyn_FFA_L=	0.4;
        pathology.Vmax_cholsyn1_Accoa_LC=	0.02;
        pathology.Vmax_inssyn_Glc_B = 0.0018; % medication
        pathology.Km_inssyn_Glc_B = 7.5;%8
        pathology.Km_Ins_B_L  =   8e-8;
        pathology.Km_Ins_B_M  =   8e-8;
        pathology.Km_Ins_B_A  =   8e-8;
        pathology.Km_Ins_B_G  =   8e-8;
        pathology.alpha_band_L=0.9;%
        pathology.alpha_base_L=0.05;
        pathology.alpha_band_M=0.95;
        pathology.alpha_base_M=0.05;
        pathology.alpha_band_A=0.6;
        pathology.alpha_base_A=0.05;   

    switch index_pathology
        case 1
            %normal           
            outfile_xlsx = 'pat1.xlsx';
        case 2
            %steatosis
            pathology.Vmax_accoat_Accoa_LM_LC=	10; %10
            pathology.Vmax_lipog1_Accoa_LC=	0.24;   %0.12
            pathology.Vmax_lipog2_Malcoa_L=	2;      %1;
            pathology.Vmax_tgsyn_FFA_L=	1.6;          %0.4
            pathology.Vmax_cholsyn1_Accoa_LC=	0.04; %0.02;
            outfile_xlsx = 'pat2.xlsx';      
        case 3
            % IR_A
            pathology.Km_Ins_B_A  =   1.5*8e-8;%8e-08
            outfile_xlsx = 'pat3.xlsx';

        case 4
            %IR_M      
            pathology.Km_Ins_B_M  =   1.5*8e-8;%8e-08
            outfile_xlsx = 'pat4.xlsx'; 

        case 5
            %IR_L
            pathology.Km_Ins_B_L  =   1.5*8e-8;%8e-08
            outfile_xlsx = 'pat5.xlsx'; 

        case 6
            %b-cell dysfunction
            pathology.Km_inssyn_Glc_B = 7.5*1.5;
            outfile_xlsx = 'pat6.xlsx';
    end

     [T, Y, FLUX] = dynamic_model([], [], 0, 0, 1, [], pathology) ;
     
     switch index_pathology
        case 1
            Y1=Y; FLUX1=FLUX;
        case 2
            Y2=Y; FLUX2=FLUX;
        case 3
            Y3=Y; FLUX3=FLUX;
        case 4
            Y4=Y; FLUX4=FLUX;
        case 5
            Y5=Y; FLUX5=FLUX;
        case 6
            Y6=Y; FLUX6=FLUX;
     end

end
save('pred_pat_01.mat', 'T','Y1','FLUX1','Y2','FLUX2','Y3','FLUX3','Y4','FLUX4','Y5','FLUX5','Y6','FLUX6');
%}

%% single medication
load('pred_pat_01.mat');
figure('Position',[200 200 1000 400]); %1*3 figures
subplot(1,3,1)
   plot(T, Y1(:,1), 'b-', 'linewidth',1.5); hold on;    %Ins_B
   plot(T, Y2(:,1), 'r-', 'linewidth',1.5); hold on;    
   plot(T, Y3(:,1), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,1), 'g-', 'linewidth',1); hold on;    
   plot(T, Y5(:,1), 'c-', 'linewidth',1); hold on;    
   plot(T, Y6(:,1), 'm-', 'linewidth',1); hold on;   
   title('A');%title('Ins_B');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 2e-7]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);

subplot(1,3,2)
   plot(T, Y1(:,2), 'b-', 'linewidth',1.5); hold on;    %Glc_B
   plot(T, Y2(:,2), 'r-', 'linewidth',1.5); hold on;    
   plot(T, Y3(:,2), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,2), 'g-', 'linewidth',1); hold on;    
   plot(T, Y5(:,2), 'c-', 'linewidth',1); hold on;
   plot(T, Y6(:,2), 'm-', 'linewidth',1); hold on;     
   title('B');%title('Glc_B');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 8], 'ytick',[0 2 4 6 8]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);
   
subplot(1,3,3)
   plot(T, Y1(:,27), 'b-', 'linewidth',1.5); hold on;     %TG_L
   plot(T, Y2(:,27), 'r-', 'linewidth',1.5); hold on;     
   plot(T, Y3(:,27), 'k-', 'linewidth',1); hold on;     
   plot(T, Y4(:,27), 'g-', 'linewidth',1); hold on;    
   plot(T, Y5(:,27), 'c-', 'linewidth',1); hold on;    
   plot(T, Y6(:,27), 'm-', 'linewidth',1); hold on;    
   title('C');%title('TG_L');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 6],'ytick',[0 1 2 3 4 5 6]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);
   legend('Normal','Steatosis','IR A','IR M','IR L','\beta-cell dys','location','northeast');
box on;
%}

end

if select == 2
%
for index_pathology = 1:1:4
% healthy subject
        pathology.Vmax_accoat_Accoa_LM_LC=	10;
        pathology.Vmax_lipog1_Accoa_LC=	0.12;
        pathology.Vmax_lipog2_Malcoa_L=	1;     
        pathology.Vmax_tgsyn_FFA_L=	0.4;
        pathology.Vmax_cholsyn1_Accoa_LC=	0.02;        
        pathology.Vmax_inssyn_Glc_B = 0.0018; % medication
        pathology.Km_inssyn_Glc_B = 7.5;%8
        pathology.Km_Ins_B_L  =   8e-8;
        pathology.Km_Ins_B_M  =   8e-8;
        pathology.Km_Ins_B_A  =   8e-8;
        pathology.Km_Ins_B_G  =   8e-8;
        pathology.alpha_band_L=0.9;%
        pathology.alpha_base_L=0.05;
        pathology.alpha_band_M=0.95;
        pathology.alpha_base_M=0.05;
        pathology.alpha_band_A=0.6;
        pathology.alpha_base_A=0.05;   
        
    switch index_pathology
    case 1
        %normal
        outfile_xlsx = 'pat1.xlsx';
    case 2
        %steatosis + IR_MA
        pathology.Vmax_accoat_Accoa_LM_LC=	10; %10  new addition
        pathology.Vmax_lipog1_Accoa_LC=	0.24;   %0.12
        pathology.Vmax_lipog2_Malcoa_L=	2;      %1;
        pathology.Vmax_tgsyn_FFA_L=	1.6;          %0.4
        pathology.Vmax_cholsyn1_Accoa_LC=	0.04; %0.02;
        
        pathology.Km_Ins_B_M  =   1.5*8e-8;%8e-08
        pathology.Km_Ins_B_A  =   1.5*8e-8;%8e-08
        outfile_xlsx = 'pat2.xlsx';
        
    case 3
        %steatosis + IR_LMA
        pathology.Vmax_accoat_Accoa_LM_LC=	10; %10
        pathology.Vmax_lipog1_Accoa_LC=	0.24;   %0.12
        pathology.Vmax_lipog2_Malcoa_L=	2;      %1;
        pathology.Vmax_tgsyn_FFA_L=	1.6;          %0.4
        pathology.Vmax_cholsyn1_Accoa_LC=	0.04; %0.02;
        
        pathology.Km_Ins_B_L  =   1.5*8e-8;%8e-08
        pathology.Km_Ins_B_M  =   1.5*8e-8;%8e-08
        pathology.Km_Ins_B_A  =   1.5*8e-8;%8e-08
        outfile_xlsx = 'pat3.xlsx';
        
    case 4
        %steatosis + IR_LMA + b-cell dys
        pathology.Vmax_accoat_Accoa_LM_LC=	10; %10  new addition
        pathology.Vmax_lipog1_Accoa_LC=	0.24;   %0.12
        pathology.Vmax_lipog2_Malcoa_L=	2;      %1;
        pathology.Vmax_tgsyn_FFA_L=	1.6;          %0.4
        pathology.Vmax_cholsyn1_Accoa_LC=	0.04; %0.02;
        
        pathology.Km_inssyn_Glc_B = 1.5*7.5;
        pathology.Km_Ins_B_L  =   1.5*8e-8;%8e-08
        pathology.Km_Ins_B_M  =   1.5*8e-8;%8e-08
        pathology.Km_Ins_B_A  =   1.5*8e-8;%8e-08
        outfile_xlsx = 'pat4.xlsx'; 
    end  

     [T, Y, FLUX] = dynamic_model([], [], 0, 0, 1, [], pathology) ;
     
switch index_pathology
        case 1
            Y1=Y; FLUX1=FLUX;
        case 2
            Y2=Y; FLUX2=FLUX;
        case 3
            Y3=Y; FLUX3=FLUX;
        case 4
            Y4=Y; FLUX4=FLUX;
     end

end

save('pred_pat_02.mat', 'T','Y1','FLUX1','Y2','FLUX2','Y3','FLUX3','Y4','FLUX4');
%}

%% combination therapy
load('pred_pat_02.mat');
figure('Position',[200 200 1000 400]); %1*3 figures
subplot(1,3,1)
   plot(T, Y1(:,1), 'b-', 'linewidth',1.5); hold on;    %Ins_B
   plot(T, Y2(:,1), 'r-', 'linewidth',1.5); hold on;    
   plot(T, Y3(:,1), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,1), 'g-', 'linewidth',1); hold on;    
   %plot(T, Y5(:,1), 'c-', 'linewidth',1); hold on;    
   %plot(T, Y6(:,1), 'm-', 'linewidth',1); hold on;   
   title('D');%title('Ins_B');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 2e-7]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);

subplot(1,3,2)
   plot(T, Y1(:,2), 'b-', 'linewidth',1.5); hold on;    %Glc_B
   plot(T, Y2(:,2), 'r-', 'linewidth',1.5); hold on;    
   plot(T, Y3(:,2), 'k-', 'linewidth',1); hold on;    
   plot(T, Y4(:,2), 'g-', 'linewidth',1); hold on;    
   %plot(T, Y5(:,2), 'c-', 'linewidth',1); hold on;
   %plot(T, Y6(:,2), 'm-', 'linewidth',1); hold on;     
   title('E');%title('Glc_B');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 12], 'ytick',[0 2 4 6 8 10 12]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);
   
subplot(1,3,3)
   plot(T, Y1(:,27), 'b-', 'linewidth',1.5); hold on;     %TG_L
   plot(T, Y2(:,27), 'r-', 'linewidth',1.5); hold on;     
   plot(T, Y3(:,27), 'k-', 'linewidth',1); hold on;     
   plot(T, Y4(:,27), 'g-', 'linewidth',1); hold on;    
   %plot(T, Y5(:,27), 'c-', 'linewidth',1); hold on;    
   %plot(T, Y6(:,27), 'm-', 'linewidth',1); hold on;    
   title('F');%title('TG_L');
   set(gca,'fontname','arial','fontsize',12,'linewidth',1.5,'xlim',[0 10],'ylim',[0 6],'ytick',[0 1 2 3 4 5 6]);
   xlabel('Time (h)','fontname','arial','fontsize',14);
   ylabel('Concentration (mM)','fontname','arial','fontsize',14);  
  legend('Normal','Steatosis+IR MA','Steatosis+IR LMA','Steatosis+IR LMA+\beta-cell dys','location','northeast');
  box on;
end
end

